# Generated from minato-utils-0.2.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name minato-utils

Name: rubygem-%{gem_name}
Version: 0.2.3
Release: 1%{?dist}
Summary: Minato Ruby Utils
License: MIT
URL: https://gitlab.com/ferreri/minato-projects/minato-ruby-utils
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7
# BuildRequires: rubygem(json) >= 2.6
# BuildRequires: rubygem(json) < 3
# BuildRequires: rubygem(pry) >= 0.14
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 1.23.0
# BuildRequires: rubygem(rubocop) < 1.24
# BuildRequires: rubygem(rubocop-rails) >= 2.12.4
# BuildRequires: rubygem(rubocop-rails) < 2.13
# BuildRequires: rubygem(rubocop-rake) >= 0.6.0
# BuildRequires: rubygem(rubocop-rake) < 0.7
# BuildRequires: rubygem(rubocop-rspec) >= 2.6.0
# BuildRequires: rubygem(rubocop-rspec) < 2.7
# BuildRequires: rubygem(webmock) >= 3.14
# BuildRequires: rubygem(webmock) < 4
BuildArch: noarch

%description
Library to share common functionality across services.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/minato-ruby-utils.gemspec
%doc %{gem_instdir}/release-notes.md

%changelog
* Tue Apr 19 2022 mockbuilder - 0.2.3-1
- Initial package
